%define module	Youri-Config
%define name	perl-%{module}
%define version 0.2.0
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri configuration handler
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.or/download/%{module}-v%{version}.tar.bz2
Url:		http://youri.zarb.org
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:  perl(YAML::AppConfig)
BuildRequires:  perl-version
Requires:       perl-version
Buildarch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides configuration handling for other youri programs.

%prep
%setup -q -n %{module}-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*




%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-4mdv2009.0
+ Revision: 258921
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-3mdv2009.0
+ Revision: 246798
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 20746
- new release
- force dependency on perl-version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 138940
- fix build dependencies _correctly_
- fix build dependencies
- Imported perl-Youri-Config-0.1.1-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
- first mdv release

